[24307] in Source-Commits
/svn/athena r23905 - trunk/debathena/config/cluster-login-config/debian
daemon@ATHENA.MIT.EDU (Evan Broder)
Mon Jun 29 10:42:13 2009
Date: Mon, 29 Jun 2009 10:42:03 -0400
From: Evan Broder <broder@MIT.EDU>
Message-Id: <200906291442.n5TEg3Fk013647@drugstore.mit.edu>
To: source-commits@mit.edu
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 8bit
Author: broder
Date: 2009-06-29 10:42:03 -0400 (Mon, 29 Jun 2009)
New Revision: 23905
Modified:
trunk/debathena/config/cluster-login-config/debian/changelog
trunk/debathena/config/cluster-login-config/debian/debathena-cluster-login-config.postinst
Log:
In cluster-login-config:
* Ignore failures to reload gdm or stop the tty gettys.
Modified: trunk/debathena/config/cluster-login-config/debian/changelog
===================================================================
--- trunk/debathena/config/cluster-login-config/debian/changelog 2009-06-29 00:44:05 UTC (rev 23904)
+++ trunk/debathena/config/cluster-login-config/debian/changelog 2009-06-29 14:42:03 UTC (rev 23905)
@@ -1,3 +1,9 @@
+debathena-cluster-login-config (1.13.1) unstable; urgency=low
+
+ * Ignore failures to reload gdm or stop the tty gettys.
+
+ -- Evan Broder <broder@mit.edu> Mon, 29 Jun 2009 10:41:31 -0400
+
debathena-cluster-login-config (1.13) unstable; urgency=low
* Reload gdm and kill the tty gettys so we don't need to reboot after
Modified: trunk/debathena/config/cluster-login-config/debian/debathena-cluster-login-config.postinst
===================================================================
--- trunk/debathena/config/cluster-login-config/debian/debathena-cluster-login-config.postinst 2009-06-29 00:44:05 UTC (rev 23904)
+++ trunk/debathena/config/cluster-login-config/debian/debathena-cluster-login-config.postinst 2009-06-29 14:42:03 UTC (rev 23905)
@@ -25,15 +25,15 @@
# Shut down sshd and reload gdm.
if hash invoke-rc.d; then
invoke-rc.d ssh stop
- invoke-rc.d gdm reload
+ invoke-rc.d gdm reload || true
else
/etc/init.d/ssh stop
- /etc/init.d/gdm reload
+ /etc/init.d/gdm reload || true
fi
# Shut down the gettys
for i in $(seq 1 6); do
- initctl stop "tty$i" >/dev/null 2>&1
+ initctl stop "tty$i" >/dev/null 2>&1 || true
done
# Attempt to initially set the root password.